<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>Checked</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>
            input {
                border: 1px solid #ced4da;
                border-radius: .25em;
                display: inline-block;
                outline: none;
                padding: .375em .75em;
            }

            input:focus {
                border: 2px solid #8cb3db;
            }

            div {
                margin: .4em;
            }

            :required {
                border: 2px solid;
            }

            :invalid {
                border-color: red;
            }

            :valid {
                border: 1px solid #ced4da;
            }
        </style>
    </head>
    <body>
        <form>
            <div>
                <label for="nombre">Nombre</label>
                <input type="text" id="nombre" name="nombre" placeholder="Introduce un nombre" required>
            </div>
            <div>
                <label for="apellidos" >Apellidos</label>
                <input type="text" id="apellidos" name="apellidos" placeholder="Puedes introducir apellidos">
            </div>
            <div>
                <label for="email" >email</label>
                <input type="email" id="email" name="email" placeholder="admin@correo.es" required>
            </div>
            <div>
                <label for="edad" >edad</label>
                <input type="number" id="edad" name="edad" placeholder="Puedes introducir edad">
            </div>
            <input type="submit">
        </form>
    </body>
</html>